import yaml

CONFIG_FILE_LOCATION = "config.yaml"

# TODO add getter for configuration? 
class ConfigurationManager:
    
    configuration = []

    @classmethod
    def load(cls) -> None:
        with open(CONFIG_FILE_LOCATION, "r") as yaml_file:
            cls.configuration = yaml.safe_load(yaml_file)